<?php
class Core_Filter_Lowercase extends Core_Filter_Abstract
{
    public function filter($value)
    {
        if (!function_exists('mb_strtolower')) {
            throw new Core_Filter_Exception(sprintf('%s: mbstring is required for this filter'), get_class($this));
        }
        return mb_strtolower($value);
    }
}